<?php

namespace Acms\Services\SocialLogin;

use Acms\Contracts\ServiceProvider;
use Acms\Services\Container;

class SocialLoginServiceProvider extends ServiceProvider
{
    /**
     * register service
     *
     * @param \Acms\Services\Container $container
     *
     * @return void
     */
    public function register(Container $container)
    {
        if (isFacebookLoginAvailable()) {
            $container->singleton('facebook-login', function() {
                $config = loadBlogConfig(BID);
                return new Facebook(
                    $config->get('facebook_app_id'),
                    $config->get('facebook_app_secret'),
                    'v3.2'
                );
            });
        }
    }

    /**
     * initialize service
     *
     * @return void
     */
    public function init()
    {

    }
}
